
From: Christoph Hellwig <hch@lst.de>

Signed-off-by: Christoph Hellwig <hch@lst.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 mm/mmap.c |    7 -------
 1 files changed, 7 deletions(-)

diff -puN mm/mmap.c~remove-misleading-comment-above-sys_brk mm/mmap.c
--- devel/mm/mmap.c~remove-misleading-comment-above-sys_brk	2005-07-30 11:51:32.000000000 -0700
+++ devel-akpm/mm/mmap.c	2005-07-30 11:51:32.000000000 -0700
@@ -199,13 +199,6 @@ static void remove_vm_struct(struct vm_a
 	kmem_cache_free(vm_area_cachep, vma);
 }
 
-/*
- *  sys_brk() for the most part doesn't need the global kernel
- *  lock, except when an application is doing something nasty
- *  like trying to un-brk an area that has already been mapped
- *  to a regular file.  in this case, the unmapping will need
- *  to invoke file system routines that need the global lock.
- */
 asmlinkage unsigned long sys_brk(unsigned long brk)
 {
 	unsigned long rlim, retval;
_
